%define version 6.68
%define release 1mdk

%define req_libticables_version 3.7.1
%define req_libticalcs_version 4.4.4
%define req_libtifiles_version 0.5.5

%if 0
%define major 0
%define libname %mklibname %name %major 
%define libnamedevel %mklibname %name %major -d
%endif

Summary:	Communicate with TI graphing calculators
Name:		tilp
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Communications
URL:		http://tilp.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
# (Abel) 6.68-1mdk Compile plugin without shared library version
Patch1:		%{name}-6.68-plugin-noversion.patch.bz2
# (Abel) 6.68-1mdk Fix DESTDIR support
Patch2:		%{name}-6.68-destdir.patch.bz2
# (Abel) 6.68-1mdk Fix installation of plugin, and don't install test plugin
Patch3:		%{name}-6.68-fix-plugin-install.patch.bz2

Requires:	libticables >= %{req_libticables_version}
Requires:	libticalcs >= %{req_libticalcs_version}
Requires:	libtifiles >= %{req_libtifiles_version}
BuildRequires:	libticables-devel >= %{req_libticables_version}
Buildrequires:	libticalcs-4-devel >= %{req_libticalcs_version}
BuildRequires:	libtifiles-devel >= %{req_libtifiles_version}
BuildRequires:	libglade2.0-devel
BuildRequires:	jpeg-devel
BuildRequires:	dos2unix
BuildRequires:	groff-for-man
#Requires:	%{libname} = %{version}-%{release}
# (Abel) just for compatibility, to be removed soon
Obsoletes:	libtilp0 libtilp0-devel
Provides:	libtilp0 libtilp0-devel

%description
TiLP is a program for Texas Instruments' graphing calculators. It allows
PC to communicate with a TI calculator and transfer data between them.

%if 0
%package	-n %{libname}
Summary:	Common libraries for Tilp.
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description	-n %{libname}
TiLP is a program for Texas Instruments' graphing calculators. It allows
PC to communicate with a TI calculator and transfer data between them.

This package contain main libraries for %{name}.

%package	-n %libnamedevel
Summary:	Development files from Tilp.
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%libname = %{version}-%{release}

%description	-n %libnamedevel
TiLP is a program for Texas Instruments' graphing calculators. It allows
PC to communicate with a TI calculator and transfer data between them.

This package contains headers and other necessary files to develop 
or compile applications that use %{name}.
%endif

%prep
%setup -q
%patch1 -p1 -b .noversion
%patch2 -p1 -b .destdir
%patch3 -p1 -b .plugin-install

# needed by patch 1-3
automake-1.7

%build
# mdk does not have libtool 1.5 yet
%define __libtoolize /bin/true
%configure2_5x
# --enable-exit-homedir=yes
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std gnulocaledir=${RPM_BUILD_ROOT}%{_datadir}/locale

# menu and icon
install -m 0644 -D %SOURCE10 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m 0644 -D %SOURCE11 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 0644 -D %SOURCE12 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 title="TiLP" \
 longtitle="Transfer data between computers and TI calculators" \
 needs="x11" \
 section="Applications/Communications" \
 icon="%{name}.png"
EOF

# remove files not bundled
rm -rf	${RPM_BUILD_ROOT}%{_libdir}/tilp/*.la \
	${RPM_BUILD_ROOT}%{_includedir}

%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%update_menus

%postun
%clean_menus

%if 0
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.linux 
%doc RELEASE THANKS TODO
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%if 0
%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %libnamedevel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.la
%_includedir/tilp/*.h
%endif

%changelog
* Sat Oct 11 2003 Abel Cheung <deaddog@deaddog.org> 6.68-1mdk
- 6.68 (GTK 2 based)
- Merge everything back into one package, because:
  - the "libraries" are plugins
  - the "header files" are only for compiling bundled plugins, and
    completely useless otherwise
- Patch1: compile plugin without shared library version
- Redo Patch2 (Fix DESTDIR support)
- Patch3: Fix installation of plugin, and don't install test plugin

* Sat Apr 26 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 6.09-1mdk
- 6.08 or 6.09, depends what we trust on sourceforge
- buildrequires (stefan spam :)

* Mon Feb 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 6.04-1mdk
- 6.04
- -patch{0,1}; +patch2 (fix destdir)
- split lib/libdevel

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.34-3mdk
- rebuild for rpm and glibc

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.34-2mdk
- rebuild
- fix missing files

* Wed Sep 04 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.34-1mdk
- port to mdk
- 5.34
- add menu and icones

* Sun May  6 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 4.16

* Sat Mar 24 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 4.06

* Sun Feb 18 2001 Benjamin Gordon <ben@bxg.org>
- Updated to version 3.93
